Bug 1982170 - (release-4.9] Operator operation is not set when updating status
Summary: (release-4.9] Operator operation is not set when updating status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: Tomas Remes
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks: 1982174 1983247
TreeView+ depends on / blocked
 
Reported: 2021-07-14 11:33 UTC by Tomas Remes
Modified: 2021-10-18 17:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1982174 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:39:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 472 0 None open Bug 1982170: Set also the summary operation when updating status 2021-07-14 11:38:31 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:40:06 UTC

Description Tomas Remes 2021-07-14 11:33:57 UTC
Description of problem:
Operator operation is not set when updating status. This can lead to undesired "degraded" state of the Insights Operator when some of the important gatherers fail. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Dmitry Misharov 2021-07-23 13:03:33 UTC
Verified on 4.9.0-0.nightly-2021-07-21-081948.
The Insights Operator is not degraded when some of the important gatherers fail.

Comment 5 errata-xmlrpc 2021-10-18 17:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.